#
# spec file for package python-first
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-first
VCS: https://src.suse.de/SLFO-pool/python-first#e851d392924e357e1739b3313845e0db8ab3a3a1ebf70425b2dd6e4db865d372
Version:        2.0.2
Release:        160000.1.4
Summary:        Python library to return the first true value of an iterable
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/hynek/first/
Source:         https://files.pythonhosted.org/packages/source/f/first/first-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A Python library that returns the first true value of an iterable.

%prep
%setup -q -n first-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc AUTHORS.rst README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Oct 13 2022 dmueller@suse.com
- use https for urls
* Mon May 17 2021 pgajdos@suse.com
- use %%pytest macro
* Sat Mar 16 2019 jengelh@inai.de
- Use noun phrase in descriptions.
* Fri Mar  8 2019 jayvdb@gmail.com
- Use tests from upstream sdist
- Update to v2.0.2
  * Package tests as part of the dist.
  * Update docs.
* Wed Mar  6 2019 jayvdb@gmail.com
- Initial spec for v2.0.1
